package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFUserGroupMapper;
import com.sa.ibiz.demo.demo.domain.WFUserGroup;
import com.sa.ibiz.demo.demo.service.WFUserGroupService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFUserGroupSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[WFUserGroup] 服务对象接口实现
 */
@Service
public class WFUserGroupServiceImpl extends ServiceImplBase<WFUserGroupMapper, WFUserGroup> implements WFUserGroupService{


    @Resource
    private WFUserGroupMapper wfusergroupMapper;


    @Override
    public boolean create(WFUserGroup et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFUserGroup et){
        this.beforeUpdate(et);
		this.wfusergroupMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFUserGroup et){
		return et.getWfusergroupid();  
    }

    @Override
    public boolean getDraft(WFUserGroup et)  {
            return true;
    }

	public List<WFUserGroup> listDefault(WFUserGroupSearchFilter filter) {
		return wfusergroupMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFUserGroup> searchDefault(WFUserGroupSearchFilter filter) {
		return wfusergroupMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfusergroupMapper.selectRow(sql);
    }

 }